% Safe calculation of natural logarithm of determinant for large sparse
% matrices using LU decomposition.
%
% function [ret] = logdet2(X)
% X - matrix [n,n]
% ret - logarithm of determinant [scalar]
%

function [ret] = logdet2(X)
L=chol(X);
ret = 2*sum(log(diag(L)));

